fill-pdf-thai
    TypeScript icon, indicating that this package has built-in type declarations

    2.1.7 • Public • Published

    fill-pdf-utf8

    Build Status

    A node module to fill out PDF forms (utf8 compatible),It can support Windows、Linux、Mac platforms.

    The previous version uses pdftk,but this version uses iText,so the Java environment is required, you need to download jdk and install it in your computer.

    Dependencies

    You need to have the java binary in your PATH.

    Install

    npm install fill-pdf-utf8
    

    Usage

    var fill_pdf = require('fill-pdf-utf8');
     
    fill_pdf.generatePdf({fields:{name:'张三',age:12}},'test.pdf','need_appearances','result.pdf',function (error, stdout, stderr) {
        if(error){
            throw error;
        }
        console.log(stdout);
    })
     

    Install

    npm i fill-pdf-thai

    DownloadsWeekly Downloads

    11

    Version

    2.1.7

    License

    ISC

    Unpacked Size

    5.27 MB

    Total Files

    19

    Last publish

    Collaborators

    • pracha_quant